<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: FileImportWindow Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-slots">Private Slots</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_file_import_window-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">FileImportWindow Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="fileimportwindow_8h_source.html">fileimportwindow.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for FileImportWindow:</div>
<div class="dyncontent">
<div class="center"><img src="class_file_import_window__inherit__graph.png" border="0" usemap="#a_file_import_window_inherit__map" alt="Inheritance graph"/></div>
<map name="a_file_import_window_inherit__map" id="a_file_import_window_inherit__map">
<area shape="rect" title=" " alt="" coords="5,123,148,341"/>
<area shape="rect" title=" " alt="" coords="28,5,125,75"/>
<area shape="poly" title=" " alt="" coords="79,90,79,123,74,123,74,90"/>
</map>
</div>
<div class="dynheader">
Collaboration diagram for FileImportWindow:</div>
<div class="dyncontent">
<div class="center"><img src="class_file_import_window__coll__graph.png" border="0" usemap="#a_file_import_window_coll__map" alt="Collaboration graph"/></div>
<map name="a_file_import_window_coll__map" id="a_file_import_window_coll__map">
<area shape="rect" title=" " alt="" coords="5,123,148,341"/>
<area shape="rect" title=" " alt="" coords="28,5,125,75"/>
<area shape="poly" title=" " alt="" coords="79,90,79,123,74,123,74,90"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3d27470f17025c8ea6c0c349ec7de81e" id="r_a3d27470f17025c8ea6c0c349ec7de81e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a3d27470f17025c8ea6c0c349ec7de81e">FileImportWindow</a> (QWidget *parent=nullptr)</td></tr>
<tr class="separator:a3d27470f17025c8ea6c0c349ec7de81e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b4aa87d5801efe60183c10845c6345f" id="r_a3b4aa87d5801efe60183c10845c6345f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a3b4aa87d5801efe60183c10845c6345f">~FileImportWindow</a> ()</td></tr>
<tr class="separator:a3b4aa87d5801efe60183c10845c6345f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc179bd19dd776cde7d7872db27c73fe" id="r_acc179bd19dd776cde7d7872db27c73fe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#acc179bd19dd776cde7d7872db27c73fe">dragEnterEvent</a> (QDragEnterEvent *e)</td></tr>
<tr class="separator:acc179bd19dd776cde7d7872db27c73fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68338c76ca24d2deaab300b11248322b" id="r_a68338c76ca24d2deaab300b11248322b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a68338c76ca24d2deaab300b11248322b">dropEvent</a> (QDropEvent *e)</td></tr>
<tr class="separator:a68338c76ca24d2deaab300b11248322b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ae3f22a83155d3444a70ae776f533d9" id="r_a6ae3f22a83155d3444a70ae776f533d9"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a6ae3f22a83155d3444a70ae776f533d9">fileName</a> () const</td></tr>
<tr class="separator:a6ae3f22a83155d3444a70ae776f533d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-slots" name="pri-slots"></a>
Private Slots</h2></td></tr>
<tr class="memitem:acda0dcfed8ea900fb79989d3309ead5f" id="r_acda0dcfed8ea900fb79989d3309ead5f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#acda0dcfed8ea900fb79989d3309ead5f">openFile</a> ()</td></tr>
<tr class="separator:acda0dcfed8ea900fb79989d3309ead5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a2bcf1e58aa4e7b0fd2b2f8cdac9f2c6f" id="r_a2bcf1e58aa4e7b0fd2b2f8cdac9f2c6f"><td class="memItemLeft" align="right" valign="top">Ui::FileImportWindow *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a2bcf1e58aa4e7b0fd2b2f8cdac9f2c6f">ui</a></td></tr>
<tr class="separator:a2bcf1e58aa4e7b0fd2b2f8cdac9f2c6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3f3d7345d0f4a3f75c7abf6b69a82e5" id="r_aa3f3d7345d0f4a3f75c7abf6b69a82e5"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa3f3d7345d0f4a3f75c7abf6b69a82e5">_fileName</a></td></tr>
<tr class="separator:aa3f3d7345d0f4a3f75c7abf6b69a82e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68c17c7e47c29f4d3a73f0e5f220f389" id="r_a68c17c7e47c29f4d3a73f0e5f220f389"><td class="memItemLeft" align="right" valign="top">QMenuBar *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a68c17c7e47c29f4d3a73f0e5f220f389">menuBar</a></td></tr>
<tr class="separator:a68c17c7e47c29f4d3a73f0e5f220f389"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a3d27470f17025c8ea6c0c349ec7de81e" name="a3d27470f17025c8ea6c0c349ec7de81e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d27470f17025c8ea6c0c349ec7de81e">&#9670;&#160;</a></span>FileImportWindow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">FileImportWindow::FileImportWindow </td>
          <td>(</td>
          <td class="paramtype">QWidget *</td>          <td class="paramname"><span class="paramname"><em>parent</em><span class="paramdefsep"> = </span><span class="paramdefval">nullptr</span></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3b4aa87d5801efe60183c10845c6345f" name="a3b4aa87d5801efe60183c10845c6345f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b4aa87d5801efe60183c10845c6345f">&#9670;&#160;</a></span>~FileImportWindow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FileImportWindow::~FileImportWindow </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="acc179bd19dd776cde7d7872db27c73fe" name="acc179bd19dd776cde7d7872db27c73fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc179bd19dd776cde7d7872db27c73fe">&#9670;&#160;</a></span>dragEnterEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void FileImportWindow::dragEnterEvent </td>
          <td>(</td>
          <td class="paramtype">QDragEnterEvent *</td>          <td class="paramname"><span class="paramname"><em>e</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a68338c76ca24d2deaab300b11248322b" name="a68338c76ca24d2deaab300b11248322b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68338c76ca24d2deaab300b11248322b">&#9670;&#160;</a></span>dropEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void FileImportWindow::dropEvent </td>
          <td>(</td>
          <td class="paramtype">QDropEvent *</td>          <td class="paramname"><span class="paramname"><em>e</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6ae3f22a83155d3444a70ae776f533d9" name="a6ae3f22a83155d3444a70ae776f533d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ae3f22a83155d3444a70ae776f533d9">&#9670;&#160;</a></span>fileName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QString FileImportWindow::fileName </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acda0dcfed8ea900fb79989d3309ead5f" name="acda0dcfed8ea900fb79989d3309ead5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acda0dcfed8ea900fb79989d3309ead5f">&#9670;&#160;</a></span>openFile</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FileImportWindow::openFile </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aa3f3d7345d0f4a3f75c7abf6b69a82e5" name="aa3f3d7345d0f4a3f75c7abf6b69a82e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3f3d7345d0f4a3f75c7abf6b69a82e5">&#9670;&#160;</a></span>_fileName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString FileImportWindow::_fileName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a68c17c7e47c29f4d3a73f0e5f220f389" name="a68c17c7e47c29f4d3a73f0e5f220f389"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68c17c7e47c29f4d3a73f0e5f220f389">&#9670;&#160;</a></span>menuBar</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QMenuBar* FileImportWindow::menuBar</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2bcf1e58aa4e7b0fd2b2f8cdac9f2c6f" name="a2bcf1e58aa4e7b0fd2b2f8cdac9f2c6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2bcf1e58aa4e7b0fd2b2f8cdac9f2c6f">&#9670;&#160;</a></span>ui</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Ui::FileImportWindow* FileImportWindow::ui</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>alatZaAnalitiku/src/<a class="el" href="fileimportwindow_8h_source.html">fileimportwindow.h</a></li>
<li>alatZaAnalitiku/src/<a class="el" href="fileimportwindow_8cpp.html">fileimportwindow.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
